﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudStack Row="true">
    <MudButton Variant="Variant.Filled" Color="Color.Secondary" OnClick="OnReject" Disabled="@IsProcessing">
        @if (IsRejecting)
        {
            <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
        }
        Reject
    </MudButton>
    <MudButton Variant="Variant.Filled" Color="Color.Primary" OnClick="OnAccept" Disabled="@IsProcessing">
        @if (IsAccepting)
        {
            <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
        }
        Accept
    </MudButton>
</MudStack>